
Redmine - Patch #29406

Use sorted instead of sort

2018-08-18 14:55 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 4.0.0   

Description

using an order statement should be more effective because records are sorted in the database.

issue priorities on the issue's report page were originaly sorted by id (desc), but I think they should be sorted by position.

Associated revisions

Revision 17685 - 2018-12-02 23:31 - Go MAEDA

Use sorted instead of sort (#29406).

Patch by Pavel Rosický.

History

#1 - 2018-08-18 15:08 - Pavel Rosický

- File reports_controller.rb.patch added

#2 - 2018-12-01 10:21 - Go MAEDA

- Target version set to Candidate for next major release

Pavel Rosický wrote:

issue priorities on the issue's report page were originaly sorted by id (desc), but I think they should be sorted by position.

 I prefer the current sort order. Showing the highest priority first is reasonable.

#3 - 2018-12-01 18:28 - Pavel Rosický

- File reports_controller.rb.patch added

issue priorities on the issue's report page were originaly sorted by id

 forget about this statement. I was wrong, enumerations have a default scope, so it's already sorted and I changed the order. I reverted this change

and attached a fixed version of reports_controller_patch.rb

see also related #25867 for differences between sort vs sorted, it doesn't behave the same way

#4 - 2018-12-02 02:20 - Go MAEDA

- File fix-29406.diff added

- Category changed from Code cleanup/refactoring to Performance

- Target version changed from Candidate for next major release to 4.1.0

Passed all tests. Setting the target version to 4.1.0.

The attached patch is a combination of Pavel Rosický's three patches.

#5 - 2018-12-02 23:32 - Go MAEDA

- Status changed from New to Closed
https://www.redmine.org/issues/25867


- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for improving Redmine.

#6 - 2018-12-02 23:34 - Go MAEDA

- Subject changed from use sorted instead of sort to Use sorted instead of sort

Files

projects_versions.patch 1.22 KB 2018-08-18 Pavel Rosický

files_controller.rb.patch 323 Bytes 2018-08-18 Pavel Rosický

reports_controller.rb.patch 886 Bytes 2018-08-18 Pavel Rosický

reports_controller.rb.patch 1.99 KB 2018-08-18 Pavel Rosický

reports_controller.rb.patch 1.86 KB 2018-12-01 Pavel Rosický

fix-29406.diff 3.5 KB 2018-12-02 Go MAEDA
